
#include "settings.h"

Settings *Settings::instance_=0;

#ifdef _QTE_
Settings::Settings()
  : Config(AppName),
    name_ (AppName)
{
}
#else
Settings::Settings()
  : QSettings()
{
}
#endif

Settings::~Settings()
{
}

Settings * Settings::instance()
{
  if( !instance_ )
    instance_ = new Settings;
  
  return instance_;
}

  void
Settings::forceWrite()
{
  // Deletion should be fine, as instance() will create a new one.
  delete instance_;
  instance_ = 0;
}
