#ifndef _SETTINGS_H
#define _SETTINGS_H

#include <defines.h>

#define GAME_GROUP      "Game"

#ifdef _QTE_
#include <qpe/config.h>
#else
#include <qsettings.h>
#endif

#ifdef _QTE_
class Settings : public Config
#else
class Settings : public QSettings
#endif
{
  public:

    static Settings * instance();

    Settings();
    virtual ~Settings();

    static void forceWrite();
    
    QString name();

  private:

    static Settings *instance_;
    QString name_;
};

#endif
