include(../defines.pri)

TEMPLATE  = app
TARGET    = loadrunner
CONFIG   += qt

INCLUDEPATH += .
INCLUDEPATH += ..
DEPENDPATH  += ..
INCLUDEPATH += ../pics/
DEPENDPATH  += ../pics/

SOURCES   = \
  animatedobjects.cpp \
  decorobjects.cpp \
  dirs.cpp \
  fieldmap.cpp \
  loadrunner.cpp \
  loadrunnerwidget.cpp \
  qiconloader.cpp \
  main.cpp \
  settings.cpp

HEADERS   =\
  animatedobjects.h \
  decorobjects.h \
  dirs.h \
  fieldmap.h \
  loadrunner.h \
  loadrunnerwidget.h \
  qiconloader.h \
  settings.h

# Installing...

target.path  = /usr/local/bin/
INSTALLS    += target

levels.path       = $$LOADRUNNER_DIR/levels/
levels.files      = ../levels/*
INSTALLS       += levels

icons.path      = $$LOADRUNNER_DIR/icons/
icons.files     = ../pics/*
INSTALLS       += icons

docs.path      = $$LOADRUNNER_DOC_DIR/
docs.files     = ../doc/*
INSTALLS       += docs

